SNMPD(1)

NAME
snmpd - daemon to respond to SNMP request packets.

SYNOPSIS
snmpd [-v] [-a] [-V] [-d] [-q] [-D] [-p [(udp|tcp):]port[@address][,...]] [-x agentx-socket] [-f] [-l logfile] [-L] [-c file] [-C] [-r] [-I [-]module_list]

DESCRIPTION
snmpd is a SNMP agent which binds to a port and awaits requests from SNMP management software. Upon receiving a request, it processes the request(s), collects the requested information and/or performs the requested operation(s) and returns the information to the sender.

OPTIONS

    -v  Print version information for the agent, and exit.

    -a  Dumps the addresses the agent corresponds with to stderr or logfile.

    -V  Makes a symbolic dump of the protocol transaction.

    -d  Dumps the sent and received UDP packets to stderr or logfile.

    -q  Print simpler output for easier automated parsing.

    -D  Turn on debugging output

    -p [(udp|tcp):]port[@address][,...]
        Makes the agent list on the specified list of sockets instead of the default port, which is port 161. Multiple ports can be separated by commas. Transports can be specified by prepending the port number with the transport name ("udp" or "tcp") followed by a colon. Finally, to bind to a particular interface, you can specify the address you want it to bind with.

        For example, specifying -p 161,tcp:161,9161@localhost will make the agent listen on: udp port 161 for any address, tcp port 161 for any address, and udp port 9161 on only the interface associated with the localhost address. Note that the -T flag (below) changes the default transport mapping to use (in the above example, the default transport mapping is udp.

    -x agentx-socket
        Listens for AgentX connections on the specified socket rather than the default '/var/agentx/master'. The socket can either be a Unix domain socket path, or the address of a network interface. If a network address of the form inet-addr:port is given, then the agent will listen on the port specified. If a network address of the form inet-addr is given, then the agent will listen on the default AgentX port, 705.

    -f  Don't fork() from the calling shell.

    -l logfile
        Logss all output from the agent (including stdout/stderr) to logfile. Defaults to a compiled option.

    -g groupid
        Change to this gid after opening port.

    -u uid
        Change to this uid after opening port.

    -L  Don't open a log file; use stdout/stderr instead.

    -A  Append to the log file rather than truncating it.

    -c file
        Read file as a configuration file.

    -C  Don't read any configuration files except the one optionally specified by the -c option.

    -r  Don't require root access to run the demon. Specifically, don't exit when you can't open files like /dev/kmem, etc...

    -I [-]module_list
        This option specifies which modules you do (or do not) want to be initialized when the agent starts up. If the module_list is preceded with a '-', it will indicate the modules that you do not want to start up rather than a definitive list of those that you do want to start. To get a list of compiled modules, run the agent with the arguments -Dmib_init -H (assumes you have debugging support compiled in).

CONFIGURATION FILES

snmpd checks for the existence of and parses the following files:

/usr/local/share/snmp/snmp.conf
    Common configuration for the agent and the application. See snmp.conf(5) for details.

/usr/local/share/snmp/snmpd.conf

/usr/local/share/snmp/snmpd.local.conf
    Configures the agent. See snmpd.conf(5) for details. These files are optional and are only used to configure the extensible portions of the agent, the values of the community strings, and the optional trap destinations. By default, the first community string ("public" by default) is allowed read-only access and the second ("private" by default) is allowed write access as well. The 3-5th community strings are read-only as well.

    In addition to these two configuration files in /usr/local/share/snmp, the agent will read any files with the names snmpd.conf and snmpd.local.conf in a colon separated path specified in the SNMPCONFPATH environment variable.

/usr/local/share/snmp/mibs/
    The agent will also load all files in this directory as mibs also. It will not, however, load any file that begins with a '.' or descend into subdirectories.

SEE ALSO
(in recommended reading order)

snmp.conf(5), snmpd.conf(5)